NETWORK_TUNNEL-CPE-DEVICE-CONFIG(1)

NAME
network_tunnel-cpe-device-config -

DESCRIPTION

The set of CPE configuration answers for the tunnel, which the customer provides in UpdateTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/UpdateTunnelCpeDeviceConfig>. The answers correlate to the questions that are specific to the CPE device type (see the parameters attribute of CpeDeviceShapeDetail <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/CpeDeviceShapeDetail/>).

See these related operations:

•   GetTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/GetTunnelCpeDeviceConfig> * GetTunnelCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/GetTunnelCpeDeviceConfigContent> * GetIpsecCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/GetIpsecCpeDeviceConfigContent> * GetCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/GetCpeDeviceConfigContent>

AVAILABLE COMMANDS

•   get

•   get-tunnel-cpe-device-config-content

•   update

  get

  Description

Gets the set of CPE configuration answers for the tunnel, which the customer provided in UpdateTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/UpdateTunnelCpeDeviceConfig>. To get the full set of content for the tunnel (any answers merged with the template of other information specific to the CPE device type), use GetTunnelCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/GetTunnelCpeDeviceConfigContent>.

  Usage

oci network tunnel-cpe-device-config get [OPTIONS]

  Required Parameters

--ipsc-id [text]

    The OCID of the IPSec connection.

--tunnel-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the tunnel.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  get-tunnel-cpe-device-config-content

  Description

Renders a set of CPE configuration content for the specified IPSec tunnel. The content helps a network engineer configure the actual CPE device (for example, a hardware router) that the specified IPSec tunnel terminates on.

The rendered content is specific to the type of CPE device (for example, Cisco ASA). Therefore the Cpe <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/> used by the specified IPSecConnection <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/> must have the CPE's device type specified by the cpeDeviceShapeId attribute. The content optionally includes answers that the customer provides (see UpdateTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/UpdateTunnelCpeDeviceConfig>), merged with a template of other information specific to the CPE device type.

The operation returns configuration information for only the specified IPSec tunnel. Here are other similar operations:

•   GetIpsecCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/GetIpsecCpeDeviceConfigContent> returns CPE configuration content for all tunnels in a single IPSec connection. * GetCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/GetCpeDeviceConfigContent> returns CPE configuration content for all IPSec connections that use a specific CPE.

  Usage

oci network tunnel-cpe-device-config get-tunnel-cpe-device-config-content [OPTIONS]

  Required Parameters

--file [filename]

    The name of the file that will receive the response data, or '-' to write to STDOUT.

--ipsc-id [text]

    The OCID of the IPSec connection.

--tunnel-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the tunnel.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  update

  Description

Creates or updates the set of CPE configuration answers for the specified tunnel. The answers correlate to the questions that are specific to the CPE device type (see the parameters attribute of CpeDeviceShapeDetail <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/CpeDeviceShapeDetail/>).

  Usage

oci network tunnel-cpe-device-config update [OPTIONS]

  Required Parameters

--ipsc-id [text]

    The OCID of the IPSec connection.

--tunnel-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the tunnel.

  Optional Parameters

--force

    Perform update without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.

--tunnel-cpe-device-config [complex type]

    The set of configuration answers for a CPE device.

    This option is a JSON list with items of type CpeDeviceConfigAnswer. For documentation on CpeDeviceConfigAnswer please see our API reference: https://docs.cloud.oracle.com/api/#/en/iaas/20160918/datatypes/CpeDeviceConfigAnswer. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle